%{?nodejs_find_provides_and_requires}

%global packagename aproba

# Tests are disabled until nodejs-tap is updated
%global enable_tests 0

Name:		nodejs-aproba
Version:	1.0.1
Release:	1%{?dist}.2
Summary:	Function argument validator

License:	MIT and CC-BY
URL:		https://github.com/iarna/aproba
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
# BuildRequres for tests go here
%endif

%description
A ridiculously light-weight function argument validator


%prep
%setup -q -n package


%build
# Nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
# test suite goes here
/usr/bin/tap test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jan 15 2016 Stephen Gallagher <sgallagh@redhat.com> - 1.0.1-1
- Initial packaging
